

import request from "@/utils/request.js";

/* 首页*/
// 查询轮播数据
export function getAdsList(data) {
	return request.get("v1/re/ads/list",data);
}

// 查询首页公告消息
export function getNoticeList(data) {
	return request.get("v1/notice-list",data);
}

// 根据一级商品分类查询二级商品分类
export function getCategoryOne(data) {
	return request.get("/v1/re/category/list",data);
}

// 根据一级商品分类查询二级商品分类
export function getCategoryTwo(data) {
	return request.get("v1/re/category/list",data);
}

// 商品分页查询
export function getGoodsPage(data) {
	return request.get("v1/goods-page",data);
}

// 根据用户Id查询首页商品列表
export function getIndexData(data) {
	return request.get("v1/index-data",data);
}

// 根据商品列表
export function getGoodsInfo(data) {
	return request.get("v1/re/goodsInfo/page",data);
}

/* 商品详情*/
// 商品详情
export function getGoodsDetail(data) {
	return request.get("v1/re/goodsInfo/detail",data);
}

// 获取用户收获地址
export function getUserAddressByUserId(data) {
	return request.get("v1/userAddress-detailByUserId",data);
}

// 
export function getUserAddress(data) {
	return request.get("v1/userAddress-detailByIdAndFreight",data);
}

// 
export function getAvailableChec(data) {
	return request.get("v1/re/order/availableChec",data);
}
